## mars.mips.instructions.syscalls
Class SyscallPrintFloat

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallPrintFloat

All Implemented Interfaces:
  Syscall

    public class SyscallPrintFloat

extends AbstractSyscall

Service to display on the console float whose bits are stored in $f12

Constructor Summary
`SyscallPrintFloat()` Build an instance of the Print Float syscall.

Method Summary
`void` `simulate(ProgramStatement statement)` Performs syscall function to display float whose bits are stored in $f12

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallPrintFloat

    public SyscallPrintFloat()

  Build an instance of the Print Float syscall. Default service number is 2 and name is "PrintFloat".

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  Performs syscall function to display float whose bits are stored in $f12

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`